## nss-mingw-w64 3.28.4

=== debian/changelog ===
nss-mingw-w64 (2:3.28.4-0ubuntu0.14.04.3mingw3) trusty; urgency=low

  * Strip libraries.
  * Use system zlib.

 -- Javier Serrano Polo <javier@jasp.net>  Sun, 07 Jan 2018 22:36:24 +0100

nss-mingw-w64 (2:3.28.4-0ubuntu0.14.04.3mingw2) trusty; urgency=low

  * Drop dllimport in stub declarations.

 -- Javier Serrano Polo <javier@jasp.net>  Sat, 06 Jan 2018 15:09:53 +0100

nss-mingw-w64 (2:3.28.4-0ubuntu0.14.04.3mingw1) trusty; urgency=low

  * Build for MinGW-w64.

 -- Javier Serrano Polo <javier@jasp.net>  Fri, 29 Dec 2017 01:07:08 +0000

nss (2:3.28.4-0ubuntu0.14.04.3) trusty-security; urgency=medium

  * SECURITY UPDATE: Use-after-free in TLS 1.2 generating handshake hashes
    - debian/patches/CVE-2017-7805.patch: Simplify handling of
      CertificateVerify in nss/lib/ssl/ssl3con.c, nss/lib/ssl/ssl3prot.h.
    - CVE-2017-7805

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 29 Sep 2017 08:54:40 -0400

nss (2:3.28.4-0ubuntu0.14.04.2) trusty-security; urgency=medium

  * SECURITY UPDATE: DoS via empty SSLv2 messages
    - debian/patches/CVE-2017-7502.patch: reject broken v2 records in
      nss/lib/ssl/ssl3gthr.c, nss/lib/ssl/ssldef.c, nss/lib/ssl/sslimpl.h,
      added tests to nss/gtests/ssl_gtest/ssl_gather_unittest.cc,
      nss/gtests/ssl_gtest/ssl_gtest.gyp, nss/gtests/ssl_gtest/manifest.mn,
      nss/gtests/ssl_gtest/ssl_v2_client_hello_unittest.cc.
    - CVE-2017-7502

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 16 Jun 2017 08:14:11 -0400

nss (2:3.28.4-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * Updated to upstream 3.28.4 to fix security issues and get a new CA
    certificate bundle.
  * SECURITY UPDATE: DES and Triple DES ciphers birthday attack
    - CVE-2016-2183
  * SECURITY UPDATE: out-of-bounds write in Base64 decoding
    - CVE-2017-5461
  * debian/patches/99_jarfile_ftbfs.patch: removed, upstream.
  * debian/patches/*.patch: refreshed for new version.
  * debian/control: bump libnspr4-dev to 4.13.1.
  * debian/libnss3.symbols: added new symbols.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 26 Apr 2017 10:25:43 -0400

nss (2:3.26.2-0ubuntu0.14.04.3) trusty-security; urgency=medium

  * Updated to upstream 3.26.2 to fix security issues and get a new CA
    certificate bundle.
  * SECURITY UPDATE: denial of service via invalid DH keys
    - CVE-2016-5285
  * SECURITY UPDATE: small subgroup confinement attack
    - CVE-2016-8635
  * SECURITY UPDATE: insufficient mitigation of timing side-channel attack
    - CVE-2016-9074
  * debian/rules: added libfreeblpriv3.so.
  * debian/libnss3.symbols: updated for new version, added
    SSL_GetCipherSuiteInfo and SSL_GetChannelInfo as they are not backwards
    compatible.
  * debian/patches/*.patch: refreshed for new version.
  * debian/rules: When building with -O3, build with -Wno-error=maybe-
    uninitialized to fix FTBFS on ppc64el.
  * debian/patches/99_jarfile_ftbfs.patch: fix FTBFS on powerpc.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 05 Dec 2016 07:19:11 -0500

nss (2:3.23-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * Updated to upstream 3.23 to fix a security issue and get a new CA
    certificate bundle.
  * SECURITY UPDATE: multiple memory safety issues
    - CVE-2016-2834
  * debian/control: bump libnspr4-dev Build-Depends to 2:4.12.
  * debian/libnss3.symbols: updated for new version.
  * debian/patches/CVE-2016-1950.patch: dropped, upstream.
  * debian/patches/ftbfs_ppc64el.patch: dropped, no longer needed.
  * debian/patches/relax_dh_size.patch: removed, now require a minimum DH
    size of 1023 bits.
  * debian/patches/*.patch: refreshed for new version.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 07 Jul 2016 14:09:52 -0400

nss (2:3.21-0ubuntu0.14.04.2) trusty-security; urgency=medium

  * SECURITY UPDATE: buffer overflow during ASN.1 decoding
    - debian/patches/CVE-2016-1950.patch: check lengths in
      nss/lib/util/secasn1d.c.
    - CVE-2016-1950

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 09 Mar 2016 07:38:11 -0500

nss (2:3.21-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * Updated to upstream 3.21 to fix a security issue and get a new CA
    certificate bundle.
  * SECURITY UPDATE: improper division in mp_div and mp_exptmod
    - CVE-2016-1938
  * debian/libnss3.symbols: updated for new version.
  * debian/patches/95_add_spi+cacert_ca_certs.patch: dropped, no longer
    want the SPI cert
  * debian/patches/97_SSL_RENEGOTIATE_TRANSITIONAL.patch: dropped, no
    longer needed
  * debian/patches/CVE-2015-7575.patch: dropped, upstream
  * debian/patches/ftbfs_ppc64el.patch: don't enable -Werror on ppc64el,
    there are too many uninitialized variable false positives.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 04 Feb 2016 09:38:27 -0500

nss (2:3.19.2.1-0ubuntu0.14.04.2) trusty-security; urgency=medium

  * SECURITY UPDATE: incorrect MD5 support with TLS 1.2
    - debian/patches/CVE-2015-7575.patch: remove MD5 in
      nss/lib/ssl/ssl3con.c.
    - CVE-2015-7575

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 07 Jan 2016 13:23:37 -0500

nss (2:3.19.2.1-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * Updated to upstream 3.19.2.1 to fix two security issues.
  * SECURITY UPDATE: use-after-poison in sec_asn1d_parse_leaf
    - CVE-2015-7181
  * SECURITY UPDATE: ASN.1 decoder heap overflow
    - CVE-2015-7182

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 04 Nov 2015 10:44:42 -0600

nss (2:3.19.2-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * SECURITY UPDATE: update to upstream 3.19.2 to fix multiple security
    issues and get a new CA certificate bundle.
    - CVE-2015-2721
    - CVE-2015-2730
  * debian/libnss3.symbols: updated for new version.
  * debian/patches/relax_dh_size.patch: relax minimum DH size to 768 bits
    for compatibility reasons. This patch will get reverted in the future
    once servers have upgraded to longer DH sizes.


