=== debian/control ===
Source: nss-mingw-w64
Section: devel
Priority: optional
Maintainer: Javier Serrano Polo <javier@jasp.net>
XSBC-Original-Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), dlfcn-win32-mingw-w64-x86-64,
 dpkg-dev (>= 1.16.1.1~), gcc-mingw-w64-x86-64, libnss3-tools,
 nspr-mingw-w64-x86-64 (>= 2:4.13.1), sqlite3-mingw-w64-x86-64 (>= 3.3.9),
 zlib-mingw-w64-x86-64
Standards-Version: 3.9.3.0
Homepage: http://www.mozilla.org/projects/security/pki/nss/
Vcs-Git: git://git.debian.org/git/pkg-mozilla/nss.git
Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/nss.git

Package: nss-mingw-w64-x86-64
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libnss3-nssdb
Conflicts: libnss3-1d (<< 2:3.13.4-2)
Description: Network Security Service libraries targeting Win64
 This is a set of libraries designed to support cross-platform development
 of security-enabled client and server applications. It can support SSLv2
 and  v4, TLS, PKCS #5, #7, #11, #12, S/MIME, X.509 v3 certificates and
 other security standards.
